from pydantic import BaseModel


class ContainerRequest(BaseModel):
    image: str
    environment: list[str]


class SerializedContainer(BaseModel):
    id: str
    name: str | None
    image: str | None
    labels: dict[str, str]
    status: str
    health: str
    engine: str | None
    owner: str | None
    environment: list[str]
    logs: str | None
